StarBitmap Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
StarBitmap Class Reference

the main class to read/. More...

`#include <StarBitmap.hxx>`

## Public Member Functions
| StarBitmap ()
| constructor More...
| StarBitmap (uint32_t const((&pixels)[32]), STOFFColor const((&colors)[2]))
| constructor for pixmap 32*32 More...
virtual | ~StarBitmap ()
| destructor More...
bool | readBitmap (StarZone &zone, bool inFileHeader, long lastPos, librevenge::RVNGBinaryData &data, std::string &type)
| low level More...
bool | getData (librevenge::RVNGBinaryData &data, std::string &type) const
| try to convert the read data in ppm More...
STOFFVec2i | getBitmapSize () const
| try to return the bitmap size (in point) More...

## Protected Member Functions
bool | readBitmapInformation (StarZone &zone, StarBitmapInternal::Bitmap &info, long lastPos)
| try to read the bitmap information block More...
bool | readBitmapData (STOFFInputStreamPtr &input, StarBitmapInternal::Bitmap &bitmap, long lastPos)
| try to read the bitmap data block More...

## Private Attributes
std::shared_ptr< StarBitmapInternal::State > | m_state
| the state More...

## Detailed Description

the main class to read/.

. some basic bitmap/pattern in StarOffice documents

## Constructor & Destructor Documentation

## ◆ StarBitmap() [1/2]

StarBitmap::StarBitmap | ( |  | ) |

constructor

## ◆ StarBitmap() [2/2]

StarBitmap::StarBitmap | ( | uint32_t const | (&pixels)[32],
|  | STOFFColor const | (&colors)[2]
| ) |  |
| explicit

constructor for pixmap 32*32

## ◆ ~StarBitmap()

StarBitmap::~StarBitmap | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ getBitmapSize()

STOFFVec2i StarBitmap::getBitmapSize | ( |  | ) | const

try to return the bitmap size (in point)

Referenced by SDGParser::readBitmap().

## ◆ getData()

bool StarBitmap::getData | ( | librevenge::RVNGBinaryData & | data,
|  | std::string & | type
| ) |  | const

try to convert the read data in ppm

Referenced by StarGraphicAttribute::StarGAttributeNamedBitmap::read(), and SDGParser::readBitmap().

## ◆ readBitmap()

bool StarBitmap::readBitmap | ( | StarZone & | zone,
|  | bool | inFileHeader,
|  | long | lastPos,
|  | librevenge::RVNGBinaryData & | data,
|  | std::string & | type
| ) |  |

low level

try to read a bitmap

Note
  only fill data and type if the bitmap has a file header

Referenced by StarGraphicAttribute::StarGAttributeNamedBitmap::read(), StarGraphicStruct::StarGraphic::read(), StarObjectNumericRuler::readAttributeLevel(), SDGParser::readBitmap(), StarFileManager::readEmbeddedPicture(), StarObjectSmallGraphic::readSDROutlinerParaObject(), and StarFileManager::readSVGDI().

## ◆ readBitmapData()

bool StarBitmap::readBitmapData | ( | STOFFInputStreamPtr & | input,
|  | StarBitmapInternal::Bitmap & | bitmap,
|  | long | lastPos
| ) |  |
| protected

try to read the bitmap data block

Referenced by readBitmap().

## ◆ readBitmapInformation()

bool StarBitmap::readBitmapInformation | ( | StarZone & | zone,
|  | StarBitmapInternal::Bitmap & | info,
|  | long | lastPos
| ) |  |
| protected

try to read the bitmap information block

Referenced by readBitmap().

## Member Data Documentation

## ◆ m_state

std::shared_ptr<StarBitmapInternal::State> StarBitmap::m_state
| private

the state

Referenced by getBitmapSize(), getData(), readBitmap(), and StarBitmap().

The documentation for this class was generated from the following files:

- StarBitmap.hxx
- StarBitmap.cxx